commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jukka Zitting" <jukka.zitt...@gmail.com>
Subject Re: [io] 2.0 Moving to minimum of JDK 1.5
Date Mon, 11 Feb 2008 16:30:51 GMT
Hi,

On Feb 11, 2008 2:38 PM, Torsten Curdt <tcurdt@apache.org> wrote:
> > I still don't see the need to overhaul the entire API.
>
> And I don't see the point why we shouldn't. Going from from java 1.4
> -> 1.5 usually means a bit overhaul.

Perhaps usually, but for Commons IO?

I see only a few isolated candidates for Java 5 improvements in the
filefilter, input, and output subpackages, and the comparator package
is mostly covered already by Niall's changes that AFAIUI are backwards
compatible. In the main io package there are some methods that would
benefit from Java 5 features, but they are also a minority.

Do such isolated changes justify changing the entire API? Or do you
have some other major changes in mind?

BR,

Jukka Zitting

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message